Subject: RE: [Speechsc] draft-ietf-speechsc-mrcpv2-00.txt: DTMF barge-in question

From: "Pierre Forgues" <[email-masked]>
Date: Thu, 25 Sep 2003 16:28:45 -0400

Exactly, but rather than change method names at this point, I would be
happy if we just made it clear in the supporting text for that method.
Thanks.  /Pierre
 
-----Original Message-----
From: Sarvi Shanmugham [mailto:[email-masked]] 
Sent: 25 septembre, 2003 16:26
To: Pierre Forgues
Cc: Reifenrath, Klaus; [email-masked]
Subject: Re: [Speechsc] draft-ietf-speechsc-mrcpv2-00.txt: DTMF barge-in
question
 
I agree this needs to be clarified. Since the explicit purpose of this
message was for barge-in implementation, I guess there was some implied
assumption of treating DTMF/speech.
May be we should have named it START-OF-INPUT. :-))

Sarvi

Pierre Forgues wrote:

Sarvi, I believe this should be made clearer in the specification
document.  I could not find the place where this is stated in the
section on START-OF-SPEECH. /Pierre
 
-----Original Message-----
From: Sarvi Shanmugham [mailto:[email-masked]] 
Sent: 25 septembre, 2003 12:01
To: Reifenrath, Klaus
Cc: [email-masked]'
Subject: Re: [Speechsc] draft-ietf-speechsc-mrcpv2-00.txt: DTMF barge-in
question
 
The purpose of the START-OF-SPEECH event was to address the 
implementation of bargein, both speech and DTMF barge-in. The 
START-OF-SPEECH event is expected to be generated when the user starts 
speaking or pressing digits. The client is responsible for conveying the
 
barge-in event to the synthesizer. The synthesizer should then decided 
whether to barge-in the current playing prompt or not based on barge-in 
flags provided when the SPEAK command was issued.
 
Sarvi
 
If the source is
 
Reifenrath, Klaus wrote:

	It is not clear to me, how the synthesizer is stopped on DTMF
barge-in.
	In case of voice barge-in the recognizer is responsible to send
	START-OF-SPEECH (see chapter 8.12). Is this also true in case of
DTMF
	barge-in?

	_______________________________________________
	Speechsc mailing list
	[email-masked]
	https://www1.ietf.org/mailman/listinfo/speechsc

 
_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc